<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>Uses of Class cern.dip.TypeMismatch (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class cern.dip.TypeMismatch (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../TypeMismatch.html" title="class in cern.dip">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class cern.dip.TypeMismatch" class="title">Uses of Class<br>cern.dip.TypeMismatch</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../TypeMismatch.html" title="class in cern.dip">TypeMismatch</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#cern.dip">cern.dip</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#cern.dip.implementation">cern.dip.implementation</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="cern.dip">
<!--   -->
</a>
<h3>Uses of <a href="../TypeMismatch.html" title="class in cern.dip">TypeMismatch</a> in <a href="../package-summary.html">cern.dip</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">cern.dip</a> that throw <a href="../TypeMismatch.html" title="class in cern.dip">TypeMismatch</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataUtil.</span><code><span class="memberNameLink"><a href="../DipDataUtil.html#convertDipDataToObject(cern.dip.DipData,int)">convertDipDataToObject</a></span>&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;data,
                      int&nbsp;maxArraySize)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractBoolean()">extractBoolean</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>boolean</code> stored in the default data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractBoolean(java.lang.String)">extractBoolean</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>boolean</code> stored in the specified data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractBooleanArray()">extractBooleanArray</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>boolean</code> array stored in the default data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractBooleanArray(java.lang.String)">extractBooleanArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>boolean</code> array stored in the specified data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>byte</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractByte()">extractByte</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>byte</code> stored in the default data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>byte</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractByte(java.lang.String)">extractByte</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>byte</code> stored in the specified data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractByteArray()">extractByteArray</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>byte</code> array stored in the default data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractByteArray(java.lang.String)">extractByteArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>byte</code> array stored in the specified data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataUtil.</span><code><span class="memberNameLink"><a href="../DipDataUtil.html#extractDipObjectValue(int,cern.dip.DipData,java.lang.String)">extractDipObjectValue</a></span>&#8203;(int&nbsp;valueType,
                     <a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;dipData,
                     java.lang.String&nbsp;fieldName)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractDouble()">extractDouble</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>float</code> array stored in the default data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractDouble(java.lang.String)">extractDouble</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>float</code> array stored in the default data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>double[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractDoubleArray()">extractDoubleArray</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>double</code> array stored in the default data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>double[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractDoubleArray(java.lang.String)">extractDoubleArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>double</code> array stored in the specified data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractFloat()">extractFloat</a></span>()</code></th>
<td class="colLast">
<div class="block">Extracts the default value from the DipData object as a float.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractFloat(java.lang.String)">extractFloat</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>float</code> stored in the specified data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>float[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractFloatArray()">extractFloatArray</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>double</code> stored in the default data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>float[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractFloatArray(java.lang.String)">extractFloatArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>float</code> array stored in the specified data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractInt()">extractInt</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>int</code> stored in the default data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractInt(java.lang.String)">extractInt</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>int</code> stored in the specified data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractIntArray()">extractIntArray</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>int</code> array stored in the default data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractIntArray(java.lang.String)">extractIntArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>int</code> array stored in the specified data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractLong()">extractLong</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>long</code> stored in the default data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractLong(java.lang.String)">extractLong</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>long</code> stored in the specified data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractLongArray()">extractLongArray</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>long</code> array stored in the default data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractLongArray(java.lang.String)">extractLongArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>long</code> array stored in the specified data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>short</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractShort()">extractShort</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>short</code> stored in the default data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>short</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractShort(java.lang.String)">extractShort</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>short</code> stored in the specified data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>short[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractShortArray()">extractShortArray</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>short</code> array stored in the default data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>short[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractShortArray(java.lang.String)">extractShortArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>short</code> array stored in the specified data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractString()">extractString</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>String</code> stored in the default data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractString(java.lang.String)">extractString</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>String</code> stored in the specified data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractStringArray()">extractStringArray</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>String</code> array stored in the default data entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#extractStringArray(java.lang.String)">extractStringArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Returns the <code>String</code> array stored in the specified data entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(boolean)">insert</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a boolean as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(boolean%5B%5D)">insert</a></span>&#8203;(boolean[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a boolean array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(byte)">insert</a></span>&#8203;(byte&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a byte as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(byte%5B%5D)">insert</a></span>&#8203;(byte[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a byte array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(double)">insert</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a double as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(double%5B%5D)">insert</a></span>&#8203;(double[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a double array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(float)">insert</a></span>&#8203;(float&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a float as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(float%5B%5D)">insert</a></span>&#8203;(float[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a float array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(int)">insert</a></span>&#8203;(int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts an int as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(int%5B%5D)">insert</a></span>&#8203;(int[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts an int array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(long)">insert</a></span>&#8203;(long&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a long as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(long%5B%5D)">insert</a></span>&#8203;(long[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a long array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(short)">insert</a></span>&#8203;(short&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a short as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(short%5B%5D)">insert</a></span>&#8203;(short[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts an short array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String)">insert</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a String as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String%5B%5D)">insert</a></span>&#8203;(java.lang.String[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a String array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,boolean)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      boolean&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named boolean entry into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,boolean%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      boolean[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named boolean array entry into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,byte)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      byte&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named byte entry into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,byte%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      byte[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named byte array entry into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,double)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named double entry into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,double%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      double[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named double array entry into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,float)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      float&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named float entry into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,float%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      float[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named float array entry into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,int)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named int entry into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,int%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      int[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named int array entry into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,long)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      long&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named long entry into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,long%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      long[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named long array entry into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,short)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      short&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named short entry into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,short%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      short[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named short array entry into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,java.lang.String)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named String entry into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipData.</span><code><span class="memberNameLink"><a href="../DipData.html#insert(java.lang.String,java.lang.String%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      java.lang.String[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a named String array entry into the DipData object.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="cern.dip.implementation">
<!--   -->
</a>
<h3>Uses of <a href="../TypeMismatch.html" title="class in cern.dip">TypeMismatch</a> in <a href="../implementation/package-summary.html">cern.dip.implementation</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../implementation/package-summary.html">cern.dip.implementation</a> that throw <a href="../TypeMismatch.html" title="class in cern.dip">TypeMismatch</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractBoolean()">extractBoolean</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractBoolean(java.lang.String)">extractBoolean</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractBooleanArray()">extractBooleanArray</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractBooleanArray(java.lang.String)">extractBooleanArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>byte</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractByte()">extractByte</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>byte</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractByte(java.lang.String)">extractByte</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractByteArray()">extractByteArray</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractByteArray(java.lang.String)">extractByteArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractDouble()">extractDouble</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractDouble(java.lang.String)">extractDouble</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>double[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractDoubleArray()">extractDoubleArray</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>double[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractDoubleArray(java.lang.String)">extractDoubleArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractFloat()">extractFloat</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractFloat(java.lang.String)">extractFloat</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>float[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractFloatArray()">extractFloatArray</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>float[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractFloatArray(java.lang.String)">extractFloatArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractInt()">extractInt</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractInt(java.lang.String)">extractInt</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractIntArray()">extractIntArray</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractIntArray(java.lang.String)">extractIntArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractLong()">extractLong</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractLong(java.lang.String)">extractLong</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractLongArray()">extractLongArray</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractLongArray(java.lang.String)">extractLongArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>short</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractShort()">extractShort</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>short</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractShort(java.lang.String)">extractShort</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>short[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractShortArray()">extractShortArray</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>short[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractShortArray(java.lang.String)">extractShortArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractString()">extractString</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractString(java.lang.String)">extractString</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractStringArray()">extractStringArray</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#extractStringArray(java.lang.String)">extractStringArray</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(boolean)">insert</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a boolean as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(boolean%5B%5D)">insert</a></span>&#8203;(boolean[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a double array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(byte)">insert</a></span>&#8203;(byte&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a byte as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(byte%5B%5D)">insert</a></span>&#8203;(byte[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a byte array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(double)">insert</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a double as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(double%5B%5D)">insert</a></span>&#8203;(double[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a double array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(float)">insert</a></span>&#8203;(float&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(float%5B%5D)">insert</a></span>&#8203;(float[]&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(int)">insert</a></span>&#8203;(int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts an int as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(int%5B%5D)">insert</a></span>&#8203;(int[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts an int array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(long)">insert</a></span>&#8203;(long&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a long as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(long%5B%5D)">insert</a></span>&#8203;(long[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a long array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(short)">insert</a></span>&#8203;(short&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a short as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(short%5B%5D)">insert</a></span>&#8203;(short[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts an short array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String)">insert</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a String as default value into the DipData object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String%5B%5D)">insert</a></span>&#8203;(java.lang.String[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Inserts a String array as default value into the DipData object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,boolean)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,boolean%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      boolean[]&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,byte)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      byte&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,byte%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      byte[]&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,double)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      double&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,double%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      double[]&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,float)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      float&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,float%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      float[]&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,int)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      int&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,int%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      int[]&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,long)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      long&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,long%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      long[]&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,short)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      short&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,short%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      short[]&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,java.lang.String)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      java.lang.String&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#insert(java.lang.String,java.lang.String%5B%5D)">insert</a></span>&#8203;(java.lang.String&nbsp;tag,
      java.lang.String[]&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DipDataImp.</span><code><span class="memberNameLink"><a href="../implementation/DipDataImp.html#readInFromBuffer(java.nio.ByteBuffer,java.lang.String)">readInFromBuffer</a></span>&#8203;(java.nio.ByteBuffer&nbsp;dataBuffer,
                java.lang.String&nbsp;format)</code></th>
<td class="colLast">
<div class="block">Read data into this object from a ByteBuffer.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../TypeMismatch.html" title="class in cern.dip">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
